ripley::LameAssembler2D Class Reference

`#include <LameAssembler2D.h>`

Inheritance diagram for ripley::LameAssembler2D:

## Public Member Functions

| LameAssembler2D (escript::const_Domain_ptr dom, const double *dx, const dim_t *NE, const dim_t *NN)
| ~LameAssembler2D ()
virtual void | assemblePDESingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | collateFunctionSpaceTypes (std::vector< int > &fsTypes, const DataMap &coefs) const
Public Member Functions inherited from ripley::AbstractAssembler
virtual | ~AbstractAssembler ()

## Protected Member Functions

| POINTER_WRAPPER_CLASS (const Rectangle) domain

## Protected Attributes

const double * | m_dx
const dim_t * | m_NE
const dim_t * | m_NN

## Constructor & Destructor Documentation

## LameAssembler2D()

ripley::LameAssembler2D::LameAssembler2D | ( | escript::const_Domain_ptr | dom,
|  | const double * | dx,
|  | const dim_t * | NE,
|  | const dim_t * | NN
| ) |  |

inline

## ~LameAssembler2D()

ripley::LameAssembler2D::~LameAssembler2D | ( |  | ) |

inline

## Member Function Documentation

## assemblePDEBoundarySingle()

void ripley::LameAssembler2D::assemblePDEBoundarySingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## assemblePDEBoundarySingleReduced()

void ripley::LameAssembler2D::assemblePDEBoundarySingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## assemblePDEBoundarySystem()

void ripley::LameAssembler2D::assemblePDEBoundarySystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References escript::Data::actsExpanded(), escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, INDEX4, escript::Data::isEmpty(), escript::Data::requireWrite(), and ripley::unpackData().

## assemblePDEBoundarySystemReduced()

void ripley::LameAssembler2D::assemblePDEBoundarySystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## assemblePDESingle()

void ripley::LameAssembler2D::assemblePDESingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## assemblePDESingleReduced()

void ripley::LameAssembler2D::assemblePDESingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## assemblePDESystem()

void ripley::LameAssembler2D::assemblePDESystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References escript::Data::actsExpanded(), escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, INDEX4, escript::Data::isEmpty(), ripley::isNotEmpty(), escript::Data::requireWrite(), and ripley::unpackData().

## assemblePDESystemReduced()

void ripley::LameAssembler2D::assemblePDESystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

## collateFunctionSpaceTypes()

void ripley::LameAssembler2D::collateFunctionSpaceTypes | ( | std::vector< int > & | fsTypes,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::isNotEmpty().

## POINTER_WRAPPER_CLASS()

ripley::LameAssembler2D::POINTER_WRAPPER_CLASS | ( | const | Rectangle | ) |

protected

## Member Data Documentation

## m_dx

const double* ripley::LameAssembler2D::m_dx

protected

## m_NE

const dim_t* ripley::LameAssembler2D::m_NE

protected

## m_NN

const dim_t* ripley::LameAssembler2D::m_NN

protected

The documentation for this class was generated from the following files:

- LameAssembler2D.h
- LameAssembler2D.cpp